# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "allegro_ttf"
version = "0.0.51"
authors = ["SiegeLord <slabode@aim.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Allegro 5 ttf addon Rust wrapper"
documentation = "http://siegelord.github.io/RustAllegro/doc/allegro_ttf/index.html"
readme = false
keywords = [
    "text",
    "graphics",
    "ttf",
    "font",
]
categories = ["rendering::data-formats"]
license = "Zlib"
repository = "https://github.com/SiegeLord/RustAllegro"

[features]
link_debug = ["allegro_ttf-sys/link_debug"]
link_none = ["allegro_ttf-sys/link_none"]
link_static = ["allegro_ttf-sys/link_static"]

[lib]
name = "allegro_ttf"
path = "src/lib.rs"

[dependencies.allegro]
version = "=0.0.51"

[dependencies.allegro_font]
version = "=0.0.51"

[dependencies.allegro_ttf-sys]
version = "=0.0.51"

[dependencies.allegro_util]
version = "=0.0.51"

[dependencies.libc]
version = "0.2"
